NetFlags (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetFlags

    java.lang.Object
      org.hyperic.sigar.NetFlags

    public class NetFlags

extends java.lang.Object

Flag constants for network related ops.

Field Summary
`static java.lang.String` | `ANY_ADDR`
`static java.lang.String` | `ANY_ADDR_V6`
`static int` | `CONN_CLIENT`
`static int` | `CONN_PROTOCOLS`
`static int` | `CONN_RAW`
`static int` | `CONN_SERVER`
`static int` | `CONN_TCP`
`static int` | `CONN_UDP`
`static int` | `CONN_UNIX`
`static int` | `IFF_ALLMULTI` receive all multicast packets
`static int` | `IFF_BROADCAST` broadcast address valid
`static int` | `IFF_DEBUG` debugging is on
`static int` | `IFF_LOOPBACK` is a loopback net
`static int` | `IFF_MULTICAST` supports multicast
`static int` | `IFF_NOARP` no ARP protocol
`static int` | `IFF_NOTRAILERS` avoid use of trailers
`static int` | `IFF_POINTOPOINT` interface has a point-to-point link
`static int` | `IFF_PROMISC` receive all packets
`static int` | `IFF_RUNNING` interface is running
`static int` | `IFF_SLAVE`
`static int` | `IFF_UP` interface is up
`static java.lang.String` | `LOOPBACK_ADDRESS`
`static java.lang.String` | `LOOPBACK_ADDRESS_V6`
`static java.lang.String` | `LOOPBACK_HOSTNAME`
`static java.lang.String` | `NULL_HWADDR` value of unknown or non-existent hardware address
`static int` | `RTF_GATEWAY`
`static int` | `RTF_HOST`
`static int` | `RTF_UP`
`static int` | `TCP_BOUND`
`static int` | `TCP_CLOSE`
`static int` | `TCP_CLOSE_WAIT`
`static int` | `TCP_CLOSING`
`static int` | `TCP_ESTABLISHED`
`static int` | `TCP_FIN_WAIT1`
`static int` | `TCP_FIN_WAIT2`
`static int` | `TCP_IDLE`
`static int` | `TCP_LAST_ACK`
`static int` | `TCP_LISTEN`
`static int` | `TCP_SYN_RECV`
`static int` | `TCP_SYN_SENT`
`static int` | `TCP_TIME_WAIT`
`static int` | `TCP_UNKNOWN`

Method Summary
`static int` | `getConnectionProtocol(java.lang.String protocol)`
`static java.lang.String` | `getIfFlagsString(long flags)`
`static boolean` | `isAnyAddress(java.lang.String address)`
`static boolean` | `isLoopback(java.lang.String address)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_HWADDR

    public static final java.lang.String NULL_HWADDR

  value of unknown or non-existent hardware address

  See Also:
    Constant Field Values

### ANY_ADDR

    public static final java.lang.String ANY_ADDR

See Also:
  Constant Field Values

### ANY_ADDR_V6

    public static final java.lang.String ANY_ADDR_V6

See Also:
  Constant Field Values

### LOOPBACK_HOSTNAME

    public static final java.lang.String LOOPBACK_HOSTNAME

See Also:
  Constant Field Values

### LOOPBACK_ADDRESS

    public static final java.lang.String LOOPBACK_ADDRESS

See Also:
  Constant Field Values

### LOOPBACK_ADDRESS_V6

    public static final java.lang.String LOOPBACK_ADDRESS_V6

See Also:
  Constant Field Values

### IFF_UP

    public static final int IFF_UP

  interface is up

  See Also:
    Constant Field Values

### IFF_BROADCAST

    public static final int IFF_BROADCAST

  broadcast address valid

  See Also:
    Constant Field Values

### IFF_DEBUG

    public static final int IFF_DEBUG

  debugging is on

  See Also:
    Constant Field Values

### IFF_LOOPBACK

    public static final int IFF_LOOPBACK

  is a loopback net

  See Also:
    Constant Field Values

### IFF_POINTOPOINT

    public static final int IFF_POINTOPOINT

  interface has a point-to-point link

  See Also:
    Constant Field Values

### IFF_NOTRAILERS

    public static final int IFF_NOTRAILERS

  avoid use of trailers

  See Also:
    Constant Field Values

### IFF_RUNNING

    public static final int IFF_RUNNING

  interface is running

  See Also:
    Constant Field Values

### IFF_NOARP

    public static final int IFF_NOARP

  no ARP protocol

  See Also:
    Constant Field Values

### IFF_PROMISC

    public static final int IFF_PROMISC

  receive all packets

  See Also:
    Constant Field Values

### IFF_ALLMULTI

    public static final int IFF_ALLMULTI

  receive all multicast packets

  See Also:
    Constant Field Values

### IFF_MULTICAST

    public static final int IFF_MULTICAST

  supports multicast

  See Also:
    Constant Field Values

### IFF_SLAVE

    public static final int IFF_SLAVE

See Also:
  Constant Field Values

### RTF_UP

    public static final int RTF_UP

See Also:
  Constant Field Values

### RTF_GATEWAY

    public static final int RTF_GATEWAY

See Also:
  Constant Field Values

### RTF_HOST

    public static final int RTF_HOST

See Also:
  Constant Field Values

### CONN_CLIENT

    public static final int CONN_CLIENT

See Also:
  Constant Field Values

### CONN_SERVER

    public static final int CONN_SERVER

See Also:
  Constant Field Values

### CONN_TCP

    public static final int CONN_TCP

See Also:
  Constant Field Values

### CONN_UDP

    public static final int CONN_UDP

See Also:
  Constant Field Values

### CONN_RAW

    public static final int CONN_RAW

See Also:
  Constant Field Values

### CONN_UNIX

    public static final int CONN_UNIX

See Also:
  Constant Field Values

### CONN_PROTOCOLS

    public static final int CONN_PROTOCOLS

See Also:
  Constant Field Values

### TCP_ESTABLISHED

    public static final int TCP_ESTABLISHED

See Also:
  Constant Field Values

### TCP_SYN_SENT

    public static final int TCP_SYN_SENT

See Also:
  Constant Field Values

### TCP_SYN_RECV

    public static final int TCP_SYN_RECV

See Also:
  Constant Field Values

### TCP_FIN_WAIT1

    public static final int TCP_FIN_WAIT1

See Also:
  Constant Field Values

### TCP_FIN_WAIT2

    public static final int TCP_FIN_WAIT2

See Also:
  Constant Field Values

### TCP_TIME_WAIT

    public static final int TCP_TIME_WAIT

See Also:
  Constant Field Values

### TCP_CLOSE

    public static final int TCP_CLOSE

See Also:
  Constant Field Values

### TCP_CLOSE_WAIT

    public static final int TCP_CLOSE_WAIT

See Also:
  Constant Field Values

### TCP_LAST_ACK

    public static final int TCP_LAST_ACK

See Also:
  Constant Field Values

### TCP_LISTEN

    public static final int TCP_LISTEN

See Also:
  Constant Field Values

### TCP_CLOSING

    public static final int TCP_CLOSING

See Also:
  Constant Field Values

### TCP_IDLE

    public static final int TCP_IDLE

See Also:
  Constant Field Values

### TCP_BOUND

    public static final int TCP_BOUND

See Also:
  Constant Field Values

### TCP_UNKNOWN

    public static final int TCP_UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getConnectionProtocol

    public static int getConnectionProtocol(java.lang.String protocol)
                                     throws SigarException

  Throws:
    `SigarException`

### getIfFlagsString

    public static java.lang.String getIfFlagsString(long flags)

  Parameters:
    `flags` - network interface flags.
  Returns:
    String representation of network interface flags.
  See Also:
    `NetInterfaceConfig.getFlags()`

### isAnyAddress

    public static boolean isAnyAddress(java.lang.String address)

### isLoopback

    public static boolean isLoopback(java.lang.String address)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.